Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class DataRateSettings

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.qtcomponents.DataRateSettings

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class DataRateSettings
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`DataRateSettings(int dataRate, int frameDuration, int minSpatialQuality, int minTemporalQuality)` Construct temporal settings to set the dialog display.

Method Summary
`int` | `getDataRate()` Get the default data rate in the dialog box.
`int` | `getFrameDuration()` Get the default frame duration in the dialog box.
`int` | `getMinSpatialQuality()` Get the default min spatial quality slider in the dialog box.
`int` | `getMinTemporalQuality()` Get the default min temporal quality slider in the dialog box.
`void` | `setDataRate(int dataRate)` Specifies the default data rate in the dialog box.
`void` | `setFrameDuration(int frameDuration)` Specifies the default frame duration in the dialog box.
`void` | `setMinSpatialQuality(int minSpatialQuality)` Specifies the min spatial quality slider in the dialog box.
`void` | `setMinTemporalQuality(int minTemporalQuality)` Specifies the min temporal quality slider in the dialog box.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### DataRateSettings

    public DataRateSettings(int dataRate,
                            int frameDuration,
                            int minSpatialQuality,
                            int minTemporalQuality)

  Construct temporal settings to set the dialog display.
  Parameters:
    `codecType` -
    `codec` -
    `depth` - the pixel depth
    `spatialQuality` - the quality setting

Method Detail

### getDataRate

    public int getDataRate()

  Get the default data rate in the dialog box.
  Returns:
    the data rate

### setDataRate

    public void setDataRate(int dataRate)

  Specifies the default data rate in the dialog box.
  Parameters:
    `dataRate` - the data rate

### getFrameDuration

    public int getFrameDuration()

  Get the default frame duration in the dialog box.
  Returns:
    the frame duration

### setFrameDuration

    public void setFrameDuration(int frameDuration)

  Specifies the default frame duration in the dialog box.
  Parameters:
    `frameDuration` - the frameDuration

### getMinSpatialQuality

    public int getMinSpatialQuality()

  Get the default min spatial quality slider in the dialog box.
  Returns:
    the quality setting

### setMinSpatialQuality

    public void setMinSpatialQuality(int minSpatialQuality)

  Specifies the min spatial quality slider in the dialog box.
  Parameters:
    `minSpatialQuality` - the quality setting

### getMinTemporalQuality

    public int getMinTemporalQuality()

  Get the default min temporal quality slider in the dialog box.
  Returns:
    the quality setting

### setMinTemporalQuality

    public void setMinTemporalQuality(int minTemporalQuality)

  Specifies the min temporal quality slider in the dialog box.
  Parameters:
    `minTemporalQuality` - the quality setting

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD